INDEX.JS(1)

NAME
index.js - the npm tree doctor

DESCRIPTION
Arborist - the npm tree doctor

Version: 6.1.5

Error: command 'undefined' does not exist.

# USAGE

    arborist <cmd> [path] [options...]

# COMMANDS

    * reify: reify ideal tree to node_modules (install, update, rm, ...) * prune: prune the ideal tree and reify (like npm prune) * ideal: generate and print the ideal tree * actual: read and print the actual tree in node_modules * virtual: read and print the virtual tree in the local shrinkwrap file * shrinkwrap: load a local shrinkwrap and print its data * audit: perform a security audit on project dependencies * funding: query funding information in the local package tree. A second

    positional argument after the path name can limit to a package name.

* license: query license information in the local package tree.
    A second

    positional argument after the path name can limit to a license type.

    * help: print this text * version: print the version

# OPTIONS

Most npm options are supported, but in camelCase rather than css-case.
    For

    example, instead of '--dry-run', use '--dryRun'.

    Additionally:

    * --loglevel=warn|--quiet will supppress the printing of package trees * --logfile <file|bool> will output logs to a file * --timing will show timing information * Instead of 'npm install <pkg>', use 'arborist reify --add=<pkg>'.

    The '--add=<pkg>' option can be specified multiple times.

    * Instead of 'npm rm <pkg>', use 'arborist reify --rm=<pkg>'.

    The '--rm=<pkg>' option can be specified multiple times.

    * Instead of 'npm update', use 'arborist reify --update-all'. * 'npm audit fix' is 'arborist audit --fix'